/webflow-sites | Type: Application | PCID required: Yes
Tools
webflow_sites_authorized_by
Get Authorization User InfoShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
webflow_sites_create_redirect
Create a 301 redirect Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
fromUrl | string | Yes | — | The source URL path that will be redirected. |
id | string | No | — | The ID of the specific redirect rule |
toUrl | string | Yes | — | The target URL path where the user or client will be redirected. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"fromUrl": {
"type": "string",
"description": "The source URL path that will be redirected."
},
"id": {
"type": "string",
"description": "The ID of the specific redirect rule"
},
"toUrl": {
"type": "string",
"description": "The target URL path where the user or client will be redirected."
}
},
"required": [
"PCID",
"site_id",
"fromUrl",
"toUrl"
]
}
webflow_sites_create_site
Create Site Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_id | string | Yes | — | Unique identifier for a Workspace |
body | object | No | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspace_id": {
"type": "string",
"description": "Unique identifier for a Workspace"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"workspace_id"
]
}
webflow_sites_create_webhook
Create Webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
body | object | Yes | — | The Webhook registration object |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"body": {
"description": "The Webhook registration object"
}
},
"required": [
"PCID",
"site_id",
"body"
]
}
webflow_sites_delete_google_tag
Delete Google Tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
tag_id | string | Yes | — | The Google Tag ID (e.g. G-XXXXXXXXXX) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"tag_id": {
"type": "string",
"description": "The Google Tag ID (e.g. G-XXXXXXXXXX)"
}
},
"required": [
"PCID",
"site_id",
"tag_id"
]
}
webflow_sites_delete_google_tags
Delete Google Tags Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_delete_redirects
Delete 301 redirects Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
redirect_id | string | Yes | — | Unique identifier site redirect |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"redirect_id": {
"type": "string",
"description": "Unique identifier site redirect"
}
},
"required": [
"PCID",
"site_id",
"redirect_id"
]
}
webflow_sites_delete_robots_txt
Delete robots.txt Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
rules | object[] | No | — | List of rules for user agents. |
sitemap | string | No | — | URL to the sitemap. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"rules": {
"type": "array",
"items": {
"type": "object",
"properties": {
"userAgent": {
"type": "string",
"description": "The user agent the rules apply to."
},
"allows": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of paths allowed for this user agent."
},
"disallows": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of paths disallowed for this user agent."
}
},
"required": [
"userAgent"
]
},
"description": "List of rules for user agents."
},
"sitemap": {
"type": "string",
"description": "URL to the sitemap."
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_delete_site
Delete Site Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_delete_well_known
Delete a well-known file Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
body | object | No | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_get_comment_thread
Get Comment Thread Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
comment_thread_id | string | Yes | — | Unique identifier for a Comment Thread |
localeId | string | No | — | Unique identifier for a specific Locale. Learn more about localization. |
offset | integer | No | — | Offset used for pagination if the results have more than limit records |
limit | integer | No | — | Maximum number of records to be returned (max limit: 100) |
sortBy | string | No | — | Sort results by the provided value. Only allowed when sortOrder is provided. |
sortOrder | string | No | — | Sorts the results by asc or desc |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"comment_thread_id": {
"type": "string",
"description": "Unique identifier for a Comment Thread"
},
"localeId": {
"type": "string",
"description": "Unique identifier for a specific Locale. [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
},
"offset": {
"type": "integer",
"description": "Offset used for pagination if the results have more than limit records"
},
"limit": {
"type": "integer",
"description": "Maximum number of records to be returned (max limit: 100)"
},
"sortBy": {
"type": "string",
"description": "Sort results by the provided value. Only allowed when sortOrder is provided.",
"enum": [
"createdOn",
"lastUpdated"
]
},
"sortOrder": {
"type": "string",
"description": "Sorts the results by asc or desc",
"enum": [
"asc",
"desc"
]
}
},
"required": [
"PCID",
"site_id",
"comment_thread_id"
]
}
webflow_sites_get_custom_domains
Get Custom Domains Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_get_redirects
Get 301 redirects Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_get_robots_txt
Get robots.txt Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_get_site
Get Site Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_get_site_activity_logs
Get Site Activity Logs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
limit | integer | No | — | Maximum number of records to be returned (max limit: 100) |
offset | integer | No | — | Offset used for pagination if the results have more than limit records |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"limit": {
"type": "integer",
"description": "Maximum number of records to be returned (max limit: 100)"
},
"offset": {
"type": "integer",
"description": "Offset used for pagination if the results have more than limit records"
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_get_site_plan
Get Site Plan Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_get_webhook
Get Webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | Unique identifier for a Webhook |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Unique identifier for a Webhook"
}
},
"required": [
"PCID",
"webhook_id"
]
}
webflow_sites_get_workspace_audit_logs
Get Workspace Audit Logs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_id_or_slug | string | Yes | — | Unique identifier or slug for a Workspace |
limit | integer | No | — | Maximum number of records to be returned (max limit: 100) |
offset | integer | No | — | Offset used for pagination if the results have more than limit records |
sortOrder | string | No | — | Sorts the results by asc or desc |
eventType | string | No | — | The event type to filter by |
from | string | No | — | The start date to filter by |
to | string | No | — | The end date to filter by |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspace_id_or_slug": {
"type": "string",
"description": "Unique identifier or slug for a Workspace"
},
"limit": {
"type": "integer",
"description": "Maximum number of records to be returned (max limit: 100)"
},
"offset": {
"type": "integer",
"description": "Offset used for pagination if the results have more than limit records"
},
"sortOrder": {
"type": "string",
"description": "Sorts the results by asc or desc",
"enum": [
"asc",
"desc"
]
},
"eventType": {
"type": "string",
"description": "The event type to filter by",
"enum": [
"user_access",
"custom_role",
"workspace_membership",
"site_membership",
"workspace_invitation",
"workspace_setting"
]
},
"from": {
"type": "string",
"description": "The start date to filter by"
},
"to": {
"type": "string",
"description": "The end date to filter by"
}
},
"required": [
"PCID",
"workspace_id_or_slug"
]
}
webflow_sites_introspect
Get Authorization InfoShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
webflow_sites_list_comment_replies
List Comment Replies Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
comment_thread_id | string | Yes | — | Unique identifier for a Comment Thread |
localeId | string | No | — | Unique identifier for a specific Locale. Learn more about localization. |
offset | integer | No | — | Offset used for pagination if the results have more than limit records |
limit | integer | No | — | Maximum number of records to be returned (max limit: 100) |
sortBy | string | No | — | Sort results by the provided value. Only allowed when sortOrder is provided. |
sortOrder | string | No | — | Sorts the results by asc or desc |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"comment_thread_id": {
"type": "string",
"description": "Unique identifier for a Comment Thread"
},
"localeId": {
"type": "string",
"description": "Unique identifier for a specific Locale. [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
},
"offset": {
"type": "integer",
"description": "Offset used for pagination if the results have more than limit records"
},
"limit": {
"type": "integer",
"description": "Maximum number of records to be returned (max limit: 100)"
},
"sortBy": {
"type": "string",
"description": "Sort results by the provided value. Only allowed when sortOrder is provided.",
"enum": [
"createdOn",
"lastUpdated"
]
},
"sortOrder": {
"type": "string",
"description": "Sorts the results by asc or desc",
"enum": [
"asc",
"desc"
]
}
},
"required": [
"PCID",
"site_id",
"comment_thread_id"
]
}
webflow_sites_list_comment_threads
List Comment Threads Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
localeId | string | No | — | Unique identifier for a specific Locale. Learn more about localization. |
offset | integer | No | — | Offset used for pagination if the results have more than limit records |
limit | integer | No | — | Maximum number of records to be returned (max limit: 100) |
sortBy | string | No | — | Sort results by the provided value. Only allowed when sortOrder is provided. |
sortOrder | string | No | — | Sorts the results by asc or desc |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"localeId": {
"type": "string",
"description": "Unique identifier for a specific Locale. [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
},
"offset": {
"type": "integer",
"description": "Offset used for pagination if the results have more than limit records"
},
"limit": {
"type": "integer",
"description": "Maximum number of records to be returned (max limit: 100)"
},
"sortBy": {
"type": "string",
"description": "Sort results by the provided value. Only allowed when sortOrder is provided.",
"enum": [
"createdOn",
"lastUpdated"
]
},
"sortOrder": {
"type": "string",
"description": "Sorts the results by asc or desc",
"enum": [
"asc",
"desc"
]
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_list_google_tags
List Google Tags Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_list_sites
List SitesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
webflow_sites_list_webhooks
List Webhooks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_remove_webhook
Remove Webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | Unique identifier for a Webhook |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Unique identifier for a Webhook"
}
},
"required": [
"PCID",
"webhook_id"
]
}
webflow_sites_replace_robots_txt
Replace robots.txt Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
rules | object[] | No | — | List of rules for user agents. |
sitemap | string | No | — | URL to the sitemap. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"rules": {
"type": "array",
"items": {
"type": "object",
"properties": {
"userAgent": {
"type": "string",
"description": "The user agent the rules apply to."
},
"allows": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of paths allowed for this user agent."
},
"disallows": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of paths disallowed for this user agent."
}
},
"required": [
"userAgent"
]
},
"description": "List of rules for user agents."
},
"sitemap": {
"type": "string",
"description": "URL to the sitemap."
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_set_well_known
Set a well-known file Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
contentType | string | No | — | The content type of the file. Defaults to application/json |
fileData | string | Yes | — | The contents of the file |
fileName | string | Yes | — | The name of the file |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"contentType": {
"type": "string",
"description": "The content type of the file. Defaults to application/json",
"enum": [
"application/json",
"text/plain"
]
},
"fileData": {
"type": "string",
"description": "The contents of the file"
},
"fileName": {
"type": "string",
"description": "The name of the file"
}
},
"required": [
"PCID",
"site_id",
"fileData",
"fileName"
]
}
webflow_sites_site_publish
Publish Site Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
customDomains | string[] | No | — | Array of Custom Domain IDs to publish |
pageId | string | No | — | The ID of the page to publish |
publishToWebflowSubdomain | boolean | No | — | Choice of whether to publish to the default Webflow Subdomain |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"customDomains": {
"type": "array",
"items": {
"type": "string"
},
"description": "Array of Custom Domain IDs to publish"
},
"pageId": {
"type": "string",
"description": "The ID of the page to publish"
},
"publishToWebflowSubdomain": {
"type": "boolean",
"description": "Choice of whether to publish to the default Webflow Subdomain"
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_update_redirect
Update 301 redirect Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
redirect_id | string | Yes | — | Unique identifier site redirect |
fromUrl | string | No | — | The source URL path that will be redirected. |
id | string | No | — | The ID of the specific redirect rule |
toUrl | string | No | — | The target URL path where the user or client will be redirected. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"redirect_id": {
"type": "string",
"description": "Unique identifier site redirect"
},
"fromUrl": {
"type": "string",
"description": "The source URL path that will be redirected."
},
"id": {
"type": "string",
"description": "The ID of the specific redirect rule"
},
"toUrl": {
"type": "string",
"description": "The target URL path where the user or client will be redirected."
}
},
"required": [
"PCID",
"site_id",
"redirect_id"
]
}
webflow_sites_update_robots_txt
Update robots.txt Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
rules | object[] | No | — | List of rules for user agents. |
sitemap | string | No | — | URL to the sitemap. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"rules": {
"type": "array",
"items": {
"type": "object",
"properties": {
"userAgent": {
"type": "string",
"description": "The user agent the rules apply to."
},
"allows": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of paths allowed for this user agent."
},
"disallows": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of paths disallowed for this user agent."
}
},
"required": [
"userAgent"
]
},
"description": "List of rules for user agents."
},
"sitemap": {
"type": "string",
"description": "URL to the sitemap."
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_update_site
Update Site Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
body | object | No | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"site_id"
]
}
webflow_sites_upsert_google_tags
Update Google Tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
site_id | string | Yes | — | Unique identifier for a Site |
googleTagIds | object[] | Yes | — | List of Google Tags configured for a site, sorted by order. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"site_id": {
"type": "string",
"description": "Unique identifier for a Site"
},
"googleTagIds": {
"type": "array",
"items": {
"type": "object",
"properties": {
"order": {
"type": "integer",
"description": "Display order of the tag. Optional on input; always present on output. Auto-assigned for new tags and renormalized after deletion."
},
"displayName": {
"type": "string",
"description": "A human-readable label for the tag."
},
"tagId": {
"type": "string",
"description": "The Google Tag ID. Accepts G-, GT-, AW-, and DC- prefixes. Rejects UA- prefixes."
}
},
"required": [
"tagId",
"displayName"
]
},
"description": "List of Google Tags configured for a site, sorted by order."
}
},
"required": [
"PCID",
"site_id",
"googleTagIds"
]
}

